Skip to main content
GET
/
public
/
v2
/
items
/
List Items
curl --request GET \
  --url https://api.dualentry.com/public/v2/items/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v2/items/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v2/items/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "sku": "<string>",
      "description": "<string>",
      "is_active": true,
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "product_tax_code_id": 123,
      "expense_account_id": 123,
      "income_account_id": 123,
      "deferral_account_id": 123,
      "asset_account_id": 123,
      "discount_account_id": 123,
      "default_classification_line_ids": [
        123
      ],
      "default_rev_rec_invoice_interval": 123
    }
  ],
  "count": 123
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
id
integer[] | null
name
string | null
item_type
enum<string>[] | null
Available options:
good,
service,
discount
no_income_account
boolean | null
no_expense_account
boolean | null
no_deferral_account
boolean | null
no_asset_account
boolean | null
no_discount_account
boolean | null
expense_account_id
integer[] | null
income_account_id
integer[] | null
deferral_account_id
integer[] | null
asset_account_id
integer[] | null
product_tax_code_id
integer[] | null
discount_account_id
integer[] | null
is_active
boolean | null
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
show_inactive
boolean
default:false
ordering
string | null
default:-updated_at
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

200 - application/json

OK

items
PublicItemSchemaOut · object[]
required
count
integer
required
Last modified on July 13, 2026